classification
Title: Replace Idle's README.txt with annotated file list
Type: enhancement Stage: resolved
Components: IDLE Versions: Python 3.6, Python 3.4, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: terry.reedy Nosy List: markroseman, python-dev, terry.reedy
Priority: normal Keywords: patch

Created on 2015-09-23 21:56 by terry.reedy, last changed 2017-06-23 04:41 by terry.reedy. This issue is now closed.

Files
File name Uploaded Description Edit
@readme.diff terry.reedy, 2015-09-30 03:59 Draft replacement for current readme review
README2.diff markroseman, 2015-09-30 14:21
Messages (5)
msg251464 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2015-09-23 21:56
idlelib currently has user information that belongs in either the Idle reference idle.rst or possibly a separate Idle howto #17583. This information should be removed and replaced with an annotated list of files in idlelib.  The latter would help people working of Idle, and even people just browsing.
msg251470 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2015-09-24 00:02
New changeset 5a60fdd9af8c by Terry Jan Reedy in branch '2.7':
Issue 25224: Augment Idle doc feature list and no-subprocess section
https://hg.python.org/cpython/rev/5a60fdd9af8c

New changeset 0f20f3fe7ab4 by Terry Jan Reedy in branch '3.4':
Issue 25224: Augment Idle doc feature list and no-subprocess section
https://hg.python.org/cpython/rev/0f20f3fe7ab4

New changeset b5c8a40d4240 by Terry Jan Reedy in branch '2.7':
Issue 25224: Augment Idle doc feature list and no-subprocess section
https://hg.python.org/cpython/rev/b5c8a40d4240
msg251913 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2015-09-30 03:59
I believe the previous patch finishes making the current README.txt obsolete and ready to be replaced.  Attached for review and comment is a mostly complete annotated listing of idlelib files and Idle menu items.  I intend to apply this or a revised version by Friday. I consider this important for keeping track of the changes we make.
msg251943 - (view) Author: Mark Roseman (markroseman) * Date: 2015-09-30 14:21
Good start... would have been very helpful for me a couple of months back!

Have attached a patch to your patch, breaking the main implementation into a few categories, and fixing a few typos.
msg252188 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2015-10-03 03:26
New changeset 4e62989e3688 by Terry Jan Reedy in branch '2.7':
Issue #25224: README.txt is now an idlelib index for IDLE developers and
https://hg.python.org/cpython/rev/4e62989e3688

New changeset bb1a8d3dd4a1 by Terry Jan Reedy in branch '3.4':
Issue #25224: README.txt is now an idlelib index for IDLE developers and
https://hg.python.org/cpython/rev/bb1a8d3dd4a1
History
Date User Action Args
2017-06-23 04:41:57terry.reedysetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2015-10-03 03:26:23python-devsetmessages: + msg252188
2015-09-30 14:21:47markrosemansetfiles: + README2.diff

messages: + msg251943
2015-09-30 03:59:27terry.reedysetfiles: + @readme.diff

nosy: + markroseman
messages: + msg251913

keywords: + patch
stage: needs patch -> patch review
2015-09-24 00:02:51python-devsetnosy: + python-dev
messages: + msg251470
2015-09-23 21:56:49terry.reedycreate